#!/bin/bash
CURVER=$(/home/wareck/miners/foxypool/foxy-farmer --version | sed "s/Foxy-Farmer //g")
if [ -f /tmp/latest ]; then rm /tmp/latest ; fi
curl -s https://api.github.com/repos/foxypool/foxy-farmer/releases/latest > /tmp/latest
VERSION=$(cat /tmp/latest | grep "tag_name" | awk {'print$2'} | tr -d \",)
URL=$(cat /tmp//latest |grep "browser_download_url.*04.zip" |  cut -d : -f 2,3 | tr -d \")
function ver { printf "%03d%03d%03d%03d" $(echo "$1" | tr '.' ' '); }
echo "Current Version: $CURVER , Online Version : $VERSION"

if [ $(ver $CURVER) -ne $(ver $VERSION) ]
then
cd /tmp/
if [ -f foxy-farmer-ubuntu.zip ];then rm foxy-farmer-ubuntu.zip;fi
if [ -f foxy-farmer ];then rm foxy-farmer;fi
wget -q $URL
unzip foxy-farmer-ubuntu-20.04.zip
foxy=$(systemctl show -p ActiveState foxypool.service | sed 's/ActiveState=//g')
if [ $foxy = "active" ]
then
echo "FoxyPool is enabled and running"
echo "Disable FoxyPool"
sudo systemctl stop foxypool.service
sudo systemctl disable foxypool.service
fi
cp /tmp/foxy-farmer /home/wareck/miners/foxypool/
sudo rm /tmp/foxy-farmer-ubuntu-20.04.zip
sudo rm /tmp/foxy-farmer
sudo rm /tmp/latest
sudo systemctl start foxypool.service
sudo systemctl enable foxypool.service
else
echo "foxy is up to date"
fi
